Package ghidra.program.model.data

# Enum Class AlignmentType

java.lang.Object
java.lang.Enum<AlignmentType>
ghidra.program.model.data.AlignmentType

All Implemented Interfaces:
  `Serializable`, `Comparable<AlignmentType>`, `Constable`

public enum AlignmentType extends Enum<AlignmentType>
`AlignmentType` specifies the type of alignment which applies to a composite data type. This can be DEFAULT, MACHINE, EXPLICIT. For packed composites, the length of the composite will be padded to force the length to a multiple of the computed alignment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  DEFAULT - this data type's alignment is computed based upon its current pack setting and data organization rules.
  `EXPLICIT`
  MACHINE - this data type's alignment will be a multiple of the explicit alignment value specified for the datatype.
  `MACHINE`
  MACHINE - this data type's alignment will be a multiple of the machine alignment specified by the data organization.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlignmentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlignmentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final AlignmentType DEFAULT
    DEFAULT - this data type's alignment is computed based upon its current pack setting and data organization rules. If packing is disabled the computed alignment will be 1.

  - ### MACHINE

    public static final AlignmentType MACHINE
    MACHINE - this data type's alignment will be a multiple of the machine alignment specified by the data organization. In general, and for all non-packed composites, the computed alignment will match the machine alignment if this setting is used.

  - ### EXPLICIT

    public static final AlignmentType EXPLICIT
    MACHINE - this data type's alignment will be a multiple of the explicit alignment value specified for the datatype. For all non-packed composites, the computed alignment will match the machine alignment if this setting is used.

- ## Method Details

  - ### values

    public static AlignmentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlignmentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null